# Location pick

A decision block that lets the user choose a location on a map.

The fiber will pause until the user has chosen a location, cancelled the dialog or the timeout expired.

## Input arguments

- Initial latitude — latitude of initially selected location.
- Initial longitude — longitude of initially selected location.
- Radius selection — whether to allow selection of a radius around the location.
- Default radius — default radius shown around a location if radius selection is enabled, default is 250 meters.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Picked latitude — variable to assign the picked latitude.
- Picked longitude — variable to assign the picked latitude.
- Picked radius — variable to assign the picked radius in meters.